package mkt_part_time_user

import (
	"git.i2edu.net/i2/go-zero/rest/httpx"
	"git.i2edu.net/i2/i2-bill-api/internal/logic/mkt_part_time_user"
	"git.i2edu.net/i2/i2-bill-api/internal/svc"
	"net/http"
)

func MktPartTimeUserGetHandler(ctx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		l := mkt_part_time_user.NewPartTimeUserGetLogic(r.Context(), ctx)
		resp, err := l.PartTimeUserGet()
		if err != nil {
			httpx.Error(w, err)
		} else {
			httpx.OkJson(w, resp)
		}
	}
}
